Bug 441577 - symlinks in cluster-managed mount points cause erroneous failures
symlinks in cluster-managed mount points cause erroneous failures
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
All Linux
low Severity low
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 16:13 EDT by Lon Hohberger
Modified: 2009-04-16 16:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0791
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 15:16:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test script which reproduces the problem. (991 bytes, text/plain)
2008-04-08 16:13 EDT, Lon Hohberger
no flags Details
Fix for behavior (1.04 KB, patch)
2008-04-08 16:15 EDT, Lon Hohberger
no flags Details | Diff
Updated test; tests NFS too (make sure you have NFS turned on!) (2.51 KB, text/plain)
2008-04-09 15:35 EDT, Lon Hohberger
no flags Details
Updated test; works on RHEL4 as well (2.49 KB, text/plain)
2008-04-09 15:43 EDT, Lon Hohberger
no flags Details

  None (edit)
Description Lon Hohberger 2008-04-08 16:13:58 EDT
Description of problem:

Incorrect errors or warnings are reported if a mountpoint from cluster.conf has
a symbolic link.  This can cause a service failure or restart.

Version-Release number of selected component (if applicable): up to and
including 4.6

How reproducible: 100%

Steps to Reproduce:
1. Install rgmanager RPM from 4.2 or later
2. Run symlink-test
  
Actual results: Warnings or errors.

Expected results: Success.
Comment 1 Lon Hohberger 2008-04-08 16:13:58 EDT
Created attachment 301702 [details]
Test script which reproduces the problem.
Comment 2 Lon Hohberger 2008-04-08 16:15:54 EDT
Created attachment 301703 [details]
Fix for behavior

Without the patch, the previous test case will show warnings during the test
phase.	With the patch, these warnings go away.

For NFS, the isMounted() function returns an error if the mountpoint is not
what is expected.
Comment 3 RHEL Product and Program Management 2008-04-08 16:38:42 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Lon Hohberger 2008-04-09 15:35:20 EDT
Created attachment 301885 [details]
Updated test; tests NFS too (make sure you have NFS turned on!)
Comment 5 Lon Hohberger 2008-04-09 15:43:02 EDT
Created attachment 301887 [details]
Updated test; works on RHEL4 as well
Comment 10 Lon Hohberger 2008-04-15 11:07:13 EDT
Pushed to RHEL4 git branch
Comment 13 errata-xmlrpc 2008-07-25 15:16:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0791.html

Note You need to log in before you can comment on or make changes to this bug.